Bug 990482 - Local Index Recovery Filters don't work in RHJP 6.0
Local Index Recovery Filters don't work in RHJP 6.0
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity unspecified
: DR01
: 6.1.1
Assigned To: Lucas Ponce
Dominik Pospisil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 05:33 EDT by Anurag
Modified: 2016-10-30 18:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
An issue in eXo JCR caused none of the documented Local Index Recovery Filters to work. Indexes are not synchronized properly between cluster nodes, and may need to be recreated. There is no work-around to this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anurag 2013-07-31 05:33:09 EDT
Description of problem:

Running into issues if specifying ConfigurationPropertyRecoveryFilter in QueryHandler JCR configuration in JPP 6.0.
This doesn't work not only for ConfigurationPropertyRecoveryFilter, none of the recovery filters mentioned in the reference guide works.


Steps to Reproduce:

1) 
Modify the file gatein.ear/portal.war/WEB-INF/conf/jcr/repository-configuration.xml
under any workspace, for example, "system", add the following to the query-handler element, for example:
<query-handler class="org.exoplatform.services.jcr.impl.core.query.lucene.SearchIndex">
<properties>
...
<!-- specify the property $
{gatein.jcr.index.changefilterclass} as
gatein.jcr.index.changefilterclass=org.exoplatform.services.jcr.impl.core.query.jbosscache.LocalIndexChangesFilter
in $JPP6_HOME/standalone/configuration/gatein/configuration.properties-->
<property name="changesfilter-class" value="${gatein.jcr.index.changefilterclass}
"/>
<property name="index-recovery-filter" value="org.exoplatform.services.jcr.impl.core.query.lucene.DummyRecoveryFilter" />
<!--
<property name="index-recovery-filter" value="org.exoplatform.services.jcr.impl.core.query.lucene.ConfigurationPropertyRecoveryFilter" />
<property name="index-recovery-filter-forcereindexing" value="true" />
-->
</properties>
</query-handler>


2) start the server in cluster mode
java -cp modules/com/h2database/h2/main/h2-1.3.168-redhat-1.jar org.h2.tools.Server
./standalone.sh --server-config=standalone-ha.xml


You can change the value for "index-recovery-filter" to any recover filters mentioned in the reference guide and you will receive the same errors.


Actual results:

ERROR [exo.jcr.component.core.RepositoryServiceImpl] (MSC service thread 1-1) Error start repository service: org.exoplatform.services.jcr.config.RepositoryConfigurationException: Repository container repository was not started.
at org.exoplatform.services.jcr.impl.RepositoryServiceImpl.createRepository(RepositoryServiceImpl.java:165) [exo.jcr.component.core-1.15.1-CP01-redhat-1.jar:1.15.1-CP01-redhat-1]
at org.exoplatform.services.jcr.impl.RepositoryServiceImpl.init(RepositoryServiceImpl.java:323) [exo.jcr.component.core-1.15.1-CP01-redhat-1.jar:1.15.1-CP01-redhat-1]
at org.exoplatform.services.jcr.impl.RepositoryServiceImpl.start(RepositoryServiceImpl.java:279) [exo.jcr.component.core-1.15.1-CP01-redhat-1.jar:1.15.1-CP01-redhat-1]
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0_37]
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) [rt.jar:1.6.0_37]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) [rt.jar:1.6.0_37]
at java.lang.reflect.Method.invoke(Method.java:597) [rt.jar:1.6.0_37]

Expected results:

Should work with all the available filters

Reference guide - 

https://access.redhat.com/site/documentation/en-US/JBoss_Portal_Platform/6/html/Reference_Guide/sect-Reference_Guide-Configuration-Local_Index_Recovery_Filters.html
Comment 1 Anurag 2013-07-31 05:35:52 EDT
Bug Captured in - https://jira.exoplatform.org/browse/JCR-2205
Comment 4 Boleslaw Dawidowicz 2013-09-12 08:41:20 EDT
Aimed for 6.1.1
Comment 5 Jared MORGAN 2013-10-13 17:05:21 EDT
No idea what to put for this release note. Please provide CCFR.
Comment 11 vramik 2013-12-10 07:14:11 EST
The bug cannot be reproduced on JPP6.1.1.DR1

Note You need to log in before you can comment on or make changes to this bug.